### Function

# Gdk.pixbuf_get_from_texture

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_get_from_texture (
      GdkTexture* texture
    )

#### Description [src]

Creates a new pixbuf from `texture`.

This should generally not be used in newly written code as later stages will almost certainly convert the pixbuf back into a texture to draw it on screen.

#### Parameters

`texture` | `GdkTexture`
| a `GdkTexture`
| Ownership is not transferred to the callee

#### Return value

Returns: `Gdkixbuf.Pixbuf`
a new `GdkPixbuf` or `NULL` in case of an error
Ownership of the data is transferred to the caller
Can be `NULL`